DRM_RECT_ADJUST_SIZE(9)

NAME
drm_rect_adjust_size - adjust the size of the rectangle

SYNOPSIS

void drm_rect_adjust_size(struct drm_rect * r, int dw, int dh);

ARGUMENTS

r
    rectangle to be adjusted

dw
    horizontal adjustment

dh
    vertical adjustment

DESCRIPTION

Change the size of rectangle r by dw in the horizontal direction, and by dh in the vertical direction, while keeping the center of r stationary.

Positive dw and dh increase the size, negative values decrease it.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT